Page MenuHomePhabricator

Swap shell username of 'Jimmyxu' and 'Jimmy Xu' developer accounts
Closed, ResolvedPublic

Description

I'm hoping to rename my username on wikitech from User:Jimmyxu to User:Jimmy_Xu, and Coren told me this is a bad idea. So instead I now have User:Jimmyxu = shell jimmy, and User:Jimmy_Xu = shell jimmyxu. Could you guys try some LDAP magic to swap the two shell names around, so that I can let User:Jimmy_Xu have jimmy?

Thanks :)


Version: unspecified
Severity: enhancement

Details

Reference
bz71083

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:59 AM
bzimport set Reference to bz71083.
bzimport added a subscriber: Unknown Object (MLST).
jimmyxu created this task.Sep 20 2014, 4:13 AM
chasemp triaged this task as High priority.Nov 30 2015, 5:09 PM
chasemp added a subscriber: chasemp.

still needed?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2015, 5:09 PM

Would appreciate.

bd808 renamed this task from Swap two shell usernames to Swap shell username of 'Jimmyxu' and 'Jimmy Xu' developer accounts.Feb 25 2019, 9:27 PM
bd808 lowered the priority of this task from High to Normal.
bd808 removed a subscriber: wikibugs-l-list.
bd808 added a subscriber: bd808.Feb 25 2019, 9:45 PM

@jimmyxu your Phabricator account is associated with the https://wikitech.wikimedia.org/wiki/User:Jimmy_Xu Developer account. Since the email addresses for that account and the https://wikitech.wikimedia.org/wiki/User_talk:Jimmyxu Developer account do not match, we need some other simple verification that both accounts are controlled by the same human. I think that a talk page message at https://wikitech.wikimedia.org/wiki/User_talk:Jimmy_Xu made by Jimmyxu referencing this ticket would be enough.

$ ldap member=uid=jimmy,ou=people,dc=wikimedia,dc=org dn
dn: cn=project-bastion,ou=groups,dc=wikimedia,dc=org

dn: cn=project-tools,ou=groups,dc=wikimedia,dc=org

dn: cn=tools.jimmy,ou=servicegroups,dc=wikimedia,dc=org

# pagedresults: cookie=
  • The Jimmy Xu/jimmyxu account is not currently a member of any Cloud VPS projects
$ ldap member=uid=jimmyxu,ou=people,dc=wikimedia,dc=org dn
# pagedresults: cookie=

Neither developer account seems to have history in Gerrit which should make fixing things a bit easier.

Reading the original ticket and its discussion, it appears that the desired end state is a developer account with:

  • cn & sn (Wikitech username) 'Jimmy Xu'
  • uid (UNIX shell username) 'jimmy'

Given the current state of the 2 developer accounts, the 'easiest' fix may:

This should result in a 'Jimmy Xu'/jimmy developer account that is a member of Toolforge and a maintainer of https://tools.wmflabs.org/admin/tool/jimmy. It will also leave a Jimmyxu-abandoned/jimmyxu developer account that is blocked on Wikitech and not a member of any Cloud VPS projects. Note the method of accomplishing this is functionally the equivalent of renaming the original developer account from Jimmyxu to 'Jimmy Xu' (which seems to have been the original request that was denied so many years ago).

@jimmyxu can you double check my logic here and leave a comment either agreeing with the changes I am proposing or pointing out issues that I may have missed?

@bd808 Thanks for taking the time to go through this. The logic seems quite sound to me. Please go ahead with the change.

bd808 closed this task as Resolved.Feb 25 2019, 11:02 PM
bd808 claimed this task.
T73083-rename-Jimmyxu.ldif
dn: uid=jimmyxu,ou=people,dc=wikimedia,dc=org
changetype: modify
replace: cn
cn: Jimmyxu-abandoned

dn: uid=jimmyxu,ou=people,dc=wikimedia,dc=org
changetype: modify
replace: sn
sn: Jimmyxu-abandoned

dn: uid=jimmy,ou=people,dc=wikimedia,dc=org
changetype: modify
replace: cn
cn: Jimmy Xu

dn: uid=jimmy,ou=people,dc=wikimedia,dc=org
changetype: modify
replace: sn
sn: Jimmy Xu
$ ldapmodify -v -D 'uid=novaadmin,ou=people,dc=wikimedia,dc=org' -W -f T73083-rename-Jimmyxu.ldif
ldap_initialize( <DEFAULT> )
Enter LDAP Password:
replace cn:
        Jimmyxu-abandoned
modifying entry "uid=jimmyxu,ou=people,dc=wikimedia,dc=org"
modify complete

replace sn:
        Jimmyxu-abandoned
modifying entry "uid=jimmyxu,ou=people,dc=wikimedia,dc=org"
modify complete

replace cn:
        Jimmy Xu
modifying entry "uid=jimmy,ou=people,dc=wikimedia,dc=org"
modify complete

replace sn:
        Jimmy Xu
modifying entry "uid=jimmy,ou=people,dc=wikimedia,dc=org"
modify complete
$ ldap uid=jimmy
dn: uid=jimmy,ou=people,dc=wikimedia,dc=org
objectClass: person
objectClass: inetorgperson
objectClass: organizationalPerson
objectClass: ldappublickey
objectClass: shadowaccount
objectClass: posixaccount
objectClass: top
uid: jimmy
loginShell: /bin/bash
homeDirectory: /home/jimmy
uidNumber: 2609
gidNumber: 500
preferredLanguage: en
displayName: jimmy
sshPublicKey: ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEA0otEFnkt420XMnrymQhAjVAvQaG6qs9HiEu/UHj3+H3sNIwUWwreLt+ucoHK3J7X0ZuxqsCjprqt6zpVRljbOoMw8W1/U3rwVFsfsVLgWM30FOMLSYs0i/+hHfJPWjUTL4Fb3QydDIVTmYmwhxVojF2z17PE37Ttn2bBueZ4W8bFKRlZsWgni/lTwBIzOoKxonjYm23Pj1lXVf+kmwcWmSqlepgk5fVC4GJDO5zHMaME6sNBFtyouPCvcid3mtgQo8qgH5ELC/fc3eiHPTgnMYaSBNLF4IUOEpdjl/AD8+EFjBiE+LrivV7d/2dwxmCjiDDj0VFCk+mn61aJ2wEYiw== jimmy@fennec
mail: redacted@redacted.redacted
cn: Jimmy Xu
sn: Jimmy Xu

# pagedresults: cookie=
$ ldap member=uid=jimmy,ou=people,dc=wikimedia,dc=org dn
dn: cn=project-bastion,ou=groups,dc=wikimedia,dc=org

dn: cn=project-tools,ou=groups,dc=wikimedia,dc=org

dn: cn=tools.jimmy,ou=servicegroups,dc=wikimedia,dc=org

# pagedresults: cookie=
$ ldap uid=jimmyxu
dn: uid=jimmyxu,ou=people,dc=wikimedia,dc=org
objectClass: person
objectClass: inetorgperson
objectClass: organizationalPerson
objectClass: ldappublickey
objectClass: shadowaccount
objectClass: posixaccount
objectClass: top
uid: jimmyxu
loginShell: /bin/bash
homeDirectory: /home/jimmyxu
uidNumber: 10558
mail: redacted@redacted.redacted
gidNumber: 500
cn: Jimmyxu-abandoned
sn: Jimmyxu-abandoned

# pagedresults: cookie=

@jimmyxu Please do re-open if you find that you are unable to login to Wikitech using the 'Jimmy Xu' username or if you have issues using your developer account in Toolforge. Note that the Wikitech password needed will be the one that was previously used for the 'Jimmyxu' because of the way that changes were made in the backing LDAP directory.